# Generated by Django 3.0.7 on 2020-09-22 12:15

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('fxtm', '0011_auto_20200919_0948'),
    ]

    operations = [
        migrations.RenameField(
            model_name='bank',
            old_name='accountHolder',
            new_name='branch',
        ),
        migrations.RemoveField(
            model_name='bank',
            name='accountId',
        ),
        migrations.RemoveField(
            model_name='banktransaction',
            name='bank',
        ),
        migrations.AlterField(
            model_name='exrequest',
            name='name',
            field=models.CharField(default='2020-09-22T12:15:18.462901', max_length=30),
        ),
        migrations.CreateModel(
            name='BankAccount',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('bid', models.CharField(blank=True, max_length=50, null=True)),
                ('holder', models.CharField(blank=True, max_length=50, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('bank', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='bank', to='fxtm.Bank')),
            ],
        ),
        migrations.AddField(
            model_name='banktransaction',
            name='account',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='account', to='fxtm.BankAccount'),
            preserve_default=False,
        ),
    ]
